## epminstall(1)

### Name

epminstall - add a directory, file, or symlink to a list file.

### Synopsis

epminstall [ options ] file1 file2...fileN directory
epminstall [ options ] file1 file2
epminstall [ options ] -d directory1 directory2...directoryN

### Description

epminstall adds or replaces a directory, file, or symlink in a list file. The default list file is "epm.list" and can be overridden using the EPMLIST environment variable or the --list-file option.

Entries are either added to the end of the list file or replaced in-line. Comments, directives, and variable declarations in the list file are preserved.

### Options

epminstall recognizes the standard Berkeley install(8) command options:

-b
  Make a backup of existing files (ignored, default for epm.)
-c
  BSD old compatibility mode (ignored.)
-g group
  Set the group owner of the file or directory to group. The default group is "sys".
-m mode
  Set the permissions of the file or directory to mode. The default permissions are 0755 for directories and executable files and 0644 for non-executable files.
-o owner
  Set the owner of the file or directory to owner. The default owner is "root".
-s
  Strip the files (ignored, default for epm.)
--list-file filename.list
  Specify the list file to update.

### See Also

epm(1), mkepmlist(1), epm.list(5).

### Copyright

Copyright © 1999-2020 by Michael R Sweet, All Rights Reserved. Copyright © 2020 by Jim Jagielski, All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.